Subject: bug#490: [devuan-dev] bug#490: gpsd: Current version of gpsd does not install /etc/init.d/gpsd and fails to start

From: Boian Bonev <[email-masked]>
Date: Fri, 17 Jul 2020 20:41:47 +0300

Hi Mark,

> The documentation is here:
> https://git.devuan.org/devuan/documentation/src/branch/master/maintainers/PackagingGuide.md
> 
> You will need to follow that. Out package builder uses git
> buildpackage and your
> repo doesn't build with that ATM.

I have been following exactly that.

Have tried on ascii and chimaera hosts - on ascii the build fails
because scons requires newer Python while on chimaera "dpkg-source -b
." exits with 127 without particular reason for that:

 dpkg-source -b .
dpkg-source: warning: upstream signing key but no upstream tarball
signature
dpkg-source: info: using options from gpsd-3.20/debian/source/options:
--extend-diff-ignore=^\.travis\.yml$
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building gpsd using existing ./gpsd_3.20.orig.tar.gz
dpkg-source: info: using patch list from debian/patches/series
dpkg-buildpackage: error: dpkg-source -b . subprocess returned exit
status 127

I have got the same error on aarch64/RPI with Devuan/chimaera while
using debuild and could make it work only by renaming dpkg-source and
wrapping it to change 127 to 0 (but obviously that is only a temp
workaround). I suppose there is some problem in latest dpkg-source or I
have missed to install/configure something but couldn't find what it
is.

Can you share some error message that you have seen?

> Ping me on #devuan-dev if you need more help.

Haven't been on irc last 25+ years ;) Will try to see if I still
remember how that is done.

> It might be worth asking the Debian maintainer to update their tree
> and then you
> can just import it with history.

Will try that. It wouldn't be too hard to rebase my commits on top of
it.

With best regards,
b.